## node-ramda 0.26.1+dfsg

=== Makefile ===
XYZ = node_modules/.bin/xyz --repo git@github.com:ramda/ramda.git --script scripts/prepublish


dist/ramda.js:
	npm run build:umd

dist/ramda.min.js:
	npm run build:umd:min


.PHONY: clean
clean:
	rm -f -- dist/ramda.js


.PHONY: lint
lint:


.PHONY: release-major release-minor release-patch
release-major release-minor release-patch:
	@$(XYZ) --increment $(@:release-%=%)


.PHONY: setup
setup:
	npm install


.PHONY: test
test: dist/ramda.js
	npm test

## node-ramda 0.26.1%2Bdfsg

=== debian/control ===
Source: node-ramda
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sruthi Chandran <srud@disroot.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs (>= 6)
 , babeljs
Standards-Version: 4.3.0
Homepage: https://ramdajs.com/
Vcs-Git: https://salsa.debian.org/js-team/node-ramda.git
Vcs-Browser: https://salsa.debian.org/js-team/node-ramda

Package: node-ramda
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
Description: practical functional library for JavaScript programmers
 A library designed specifically for a functional programming style, one that 
 makes it easy to create functional pipelines, one that never mutates user data.
 .
 The primary distinguishing features of Ramda are:
  * Ramda takes the function first, and the data last
  * Ramda methods are automatically curried
 .
 Node.js is an event-based server-side JavaScript engine.

## node-ramda 0.26.1+dfsg

=== debian/changelog ===
node-ramda (0.26.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Sruthi Chandran ]
  * Bump debhelper compatibility level to 11

  [ Pirate Praveen ]
  * Drop umd and build cjs (Closes: #917562)
  * Embed babel-plugin-annotate-pure-calls module (build dependency)
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 Jan 2019 12:14:44 +0530

node-ramda (0.26.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #915775)

 -- Sruthi Chandran <srud@disroot.org>  Thu, 06 Dec 2018 23:37:41 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export NODE_PATH=debian/node_modules

%:
	dh $@

override_dh_auto_build:
	BABEL_ENV=cjs babeljs source --out-dir src

override_dh_auto_clean:
	rm -rf src/

override_dh_auto_test:

=== debian/tests/control ===
Tests: require
Depends: node-ramda

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-ramda-$1.tar.gz/ \
 https://github.com/ramda/ramda/releases .*/archive/v?([\d\.]+).tar.gz

## node-ramda 0.27.1+dfsg

=== debian/changelog ===
node-ramda (0.27.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Apply multi-arch hints.
    + node-ramda: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use dh-sequence-nodejs auto install
  * New upstream version 0.27.1+dfsg
  * Embed some little modules for test only
  * Enable upstream test using mocha
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 30 Oct 2020 18:31:34 +0100

=== debian/control ===
Source: node-ramda
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sruthi Chandran <srud@disroot.org>
Build-Depends:
 , debhelper-compat (= 12)
 , dh-sequence-nodejs
 , node-babel7
 , mocha <!nocheck>
 , node-sinon <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-ramda
Vcs-Git: https://salsa.debian.org/js-team/node-ramda.git
Homepage: https://ramdajs.com/
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-ramda
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: practical functional library for JavaScript programmers
 A library designed specifically for a functional programming style, one that
 makes it easy to create functional pipelines, one that never mutates user data.
 .
 The primary distinguishing features of Ramda are:
  * Ramda takes the function first, and the data last
  * Ramda methods are automatically curried
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	BABEL_ENV=cjs babeljs source --out-dir src

## node-ramda 0.27.2%2Bdfsg%2B~0.27.63

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Sruthi Chandran <srud@disroot.org>
-Build-Depends:
- , debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , mocha <!nocheck>
  , node-babel7
- , mocha <!nocheck>
  , node-sinon <!nocheck>
-Standards-Version: 4.5.0
+ , rollup
+ , terser
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-ramda
 Vcs-Git: https://salsa.debian.org/js-team/node-ramda.git
 Homepage: https://ramdajs.com/
@@ -19,6 +20,8 @@
 Package: node-ramda
 Architecture: all
 Depends: ${misc:Depends}
+Provides: ${nodejs:Provides}
+ , libjs-ramda (= ${binary:Version})
 Multi-Arch: foreign
 Description: practical functional library for JavaScript programmers
  A library designed specifically for a functional programming style, one that

## node-ramda 0.27.2+dfsg+~0.27.63

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-XYZ = node_modules/.bin/xyz --repo git@github.com:ramda/ramda.git --script scripts/prepublish
+XYZ = node_modules/.bin/xyz --branch v0.27 --repo git@github.com:ramda/ramda.git --script scripts/prepublish
 
 
 dist/ramda.js:

=== debian/changelog ===
node-ramda (0.27.2+dfsg+~0.27.63-2) unstable; urgency=medium

  * Team upload

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #1003646)

 -- Yadd <yadd@debian.org>  Thu, 13 Jan 2022 12:42:55 +0100

node-ramda (0.27.2+dfsg+~0.27.63-1) unstable; urgency=medium

  * Team upload
  * Embed typescript declarations
  * New upstream version 0.27.2+dfsg+~0.27.63
  * Provides browser libraries
  * Build browser files with rollup
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 12 Jan 2022 20:51:45 +0100

node-ramda (0.27.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Modernize debian/watch
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Fri, 05 Nov 2021 13:55:59 +0100

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ramda-$1/ \
 https://github.com/ramda/ramda/releases .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-ramda,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-ramda-$1/" \
 https://registry.npmjs.org/@types/ramda https://registry.npmjs.org/@types/ramda/-/ramda-([\d\.]+)@ARCHIVE_EXT@ group

## node-ramda 0.28.0+dfsg+~0.28.18

=== debian/changelog ===
node-ramda (0.28.0+dfsg+~0.28.18-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Replace /releases by /tags in GitHub urls
  * New upstream version 0.28.0+dfsg+~0.28.18
  * Refresh patches
  * Build with @rollup/plugin-babel
  * Update test
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 30 Oct 2022 08:24:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , mocha <!nocheck>
- , node-babel7
+ , node-rollup-plugin-babel
  , node-sinon <!nocheck>
  , rollup
  , terser
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-ramda
 Vcs-Git: https://salsa.debian.org/js-team/node-ramda.git
 Homepage: https://ramdajs.com/

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 
 override_dh_auto_build:
 	BABEL_ENV=cjs babeljs source --out-dir src
+	BABEL_ENV=es babeljs source --out-dir es
+	NODE_ENV=development rollup -c -o dist/ramda.js
+	#NODE_ENV=production rollup -c -o dist/ramda.min.js
+	cd dist; terser -o ramda.min.js ramda.js

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 repack,compression=xz,\
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ramda-$1/ \
- https://github.com/ramda/ramda/releases .*/archive/.*/v?([\d\.]+).tar.gz group
+ https://github.com/ramda/ramda/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/

## node-ramda 0.28.0+dfsg+~cs9.34.18

=== debian/changelog ===
node-ramda (0.28.0+dfsg+~cs9.34.18-2) unstable; urgency=medium

  * Team upload
  * Fix copyright

 -- Yadd <yadd@debian.org>  Tue, 09 May 2023 21:25:20 +0400

node-ramda (0.28.0+dfsg+~cs9.34.18-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * Fix typescript declarations by embeding ts-toolbelt

 -- Yadd <yadd@debian.org>  Tue, 09 May 2023 21:20:49 +0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , node-sinon <!nocheck>
  , rollup
  , terser
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-ramda
 Vcs-Git: https://salsa.debian.org/js-team/node-ramda.git
 Homepage: https://ramdajs.com/

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ramda-$1/ \
 https://github.com/ramda/ramda/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-ramda,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-ramda-$1/" \
 https://registry.npmjs.org/@types/ramda https://registry.npmjs.org/@types/ramda/-/ramda-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=ts-toolbelt,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ts-toolbelt-$1/" \
 https://registry.npmjs.org/ts-toolbelt https://registry.npmjs.org/ts-toolbelt/-/ts-toolbelt-([\d\.]+)@ARCHIVE_EXT@ checksum
